SET_DMA_RESERVE(9)

NAME
set_dma_reserve - set the specified number of pages reserved in the first zone

SYNOPSIS

void set_dma_reserve(unsigned long new_dma_reserve);

ARGUMENTS

new_dma_reserve
    The number of pages to mark reserved

DESCRIPTION

The per-cpu batchsize and zone watermarks are determined by present_pages. In the DMA zone, a significant percentage may be consumed by kernel image and other unfreeable allocations which can skew the watermarks badly. This function may optionally be used to account for unfreeable pages in the first zone (e.g., ZONE_DMA). The effect will be lower watermarks and smaller per-cpu batchsize.

COPYRIGHT